Bug #239

libcdio-0.90 API change

Added by Gaetan Bisson over 1 year ago. Updated over 1 year ago.

Status:Closed Start date:January 08, 2013
Priority:Minor Due date:
Assignee:- % Done:

100%

Category:plugins/cdaudio
Target version:3.3.4
Affects version:3.3.3

Description

Compiling audacious-plugins-3.3.3 against libcdio-0.90 requires the following changes:
- updating the include cdio/cdda.h to cdio/paranoia/cdda.h (now part of the new libcdio-paranoia package)
- minor API changes regarding cdio_get_cdtext

The attached patch fixes those issues.

I am not very confident about the cdio_get_cdtext/cdtext_get business.
Please double-check that it indeed does what is intended. Thanks!

libcdio.patch Magnifier (3.6 kB) Gaetan Bisson, January 08, 2013 15:53

libcdio-v2.patch Magnifier (4.3 kB) John Lindgren, January 09, 2013 02:32

Associated revisions

Revision 4dbb9cc5
Added by John Lindgren over 1 year ago

cdaudio-ng: Update for libcdio 0.90. Closes: #239.

Revision 48ddf91b
Added by John Lindgren about 1 year ago

cdaudio-ng: Update for libcdio 0.90. Closes: #239.

History

#1 Updated by John Lindgren over 1 year ago

Thanks. I've changed the patch to be compatible with libcdio < 0.90. Would you please double-check that it still works with 0.90?

#2 Updated by Gaetan Bisson over 1 year ago

Your improved patch appears to work fine with libcdio-0.90. Cheers.

#3 Updated by John Lindgren over 1 year ago

  • Status changed from New to Closed
  • Target version set to 3.3.4
  • % Done changed from 0 to 100

Also available in: Atom PDF